# Generated by Django 4.0.3 on 2022-03-15 15:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('newsletter', '0002_alter_newsletter_filter_params_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='newsletter',
            name='task_id',
        ),
        migrations.AlterField(
            model_name='message',
            name='status',
            field=models.IntegerField(choices=[(1, 'Success'), (2, 'Error')], default=2),
        ),
        migrations.AlterField(
            model_name='newsletter',
            name='status',
            field=models.IntegerField(choices=[(1, 'Inactive'), (2, 'Active')], default=1),
        ),
        migrations.CreateModel(
            name='NewsletterTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('celery_task_id', models.IntegerField()),
                ('status', models.IntegerField(choices=[(1, 'Delayed'), (2, 'Running'), (3, 'Complete'), (4, 'Incomplete')], default=1)),
                ('newsletter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='newsletter.newsletter')),
                ('timezone', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='newsletter.timezone')),
            ],
        ),
        migrations.AddField(
            model_name='message',
            name='task',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='newsletter.newslettertask'),
        ),
    ]
